import { PropertyValues } from 'lit';
import { TiniElement } from 'tinijs';
export declare class IconStarComponent extends TiniElement {
    static readonly defaultTagName = "icon-star";
    static styles: any;
    scale?: string;
    scheme?: string;
    willUpdate(changedValues: PropertyValues): void;
    protected render(): any;
}
export declare const IconStar: any;
